- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Testing::CTrace Class Reference

List of all members.

## Detailed Description

Printing to the console, follows printf formatting conditions.

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.1.0 Added traceObject function

  1.2.0 Added traceLog functionality

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CTrace.hpp,v 1.2 2007/02/08 21:06:44 paul Exp

Definition at line 36 of file CTrace.hpp.

## Static Public Member Functions

- static void closeTraceFile ()
- static bool openTraceFile (const CSystemString &filename)
- static void trace (const CCountedObject &theObject, const CString &formatText)
- static void trace (const char *text,...)

## Static Protected Attributes

- static CTextStream CTRACE_STREAM

## Member Function Documentation

static void Exponent::Testing::CTrace::closeTraceFile | ( |  | ) | `[static]`

Close the log file

static bool Exponent::Testing::CTrace::openTraceFile | ( | const CSystemString & | filename | ) | `[static]`

Open the log file

Parameters:

  | filename | The name of the file to open

Return values:

  | bool | True if trace file opened properly, false otherwise

static void Exponent::Testing::CTrace::trace | ( | const CCountedObject & | theObject,
|  | const CString & | formatText |
| ) |  |  | `[static]`

Output an object

Parameters:

  | theObject | The object to trace
  | formatText | Formatting text placed before readout

static void Exponent::Testing::CTrace::trace | ( | const char * | text,
|  |  | ... |
| ) |  |  | `[static]`

Output a debug string

Parameters:

  | text | The Text to output
  | ... | The arguments

## Member Data Documentation

CTextStream Exponent::Testing::CTrace::CTRACE_STREAM`[static, protected]`

The text stream for file loggin

Definition at line 76 of file CTrace.hpp.